%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/shurcooL/githubv4
%global commit          599ae7bbf278c79d7354974febd1f6684dfe30cd

%gometa

%global common_description %{expand:
Package githubv4 is a client library for accessing GitHub GraphQL API v4
(https://docs.github.com/en/graphql).}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Package githubv4 is a client library for accessing GitHub GraphQL API v4

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
